Debian переустановка eAccelerator

Рубрика: Debian|PHP

18 Мар 2012

PHP Warning: [eAccelerator] This build of “eAccelerator” was compiled for PHP version 5.2.6-1+lenny15. Rebuild it for your PHP version (5.2.6-1+lenny16) or download precompiled binaries.\n in Unknown on line 0
PHP Fatal error: Unable to start eAccelerator module in Unknown on line 0

Решение довольно простое:

rm /usr/lib/php5/точный_путь_модулям/eaccelerator.so

cd /tmp
wget http://sourceforge.net/projects/eaccelerator/files/eaccelerator/eAccelerator%200.9.5.2/eaccelerator-0.9.5.2.tar.bz2
tar xvfj eaccelerator-0.9.5.2.tar.bz2
cd eaccelerator-0.9.5.2
phpize
./configure
make
make install

Ну и проверка:

/etc/init.d/apache2 restart

php -v

PHP 5.2.6-1+lenny16 with Suhosin-Patch 0.9.6.2 (cli) (built: Feb 3 2012 13:17:21)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with eAccelerator v0.9.5.2, Copyright (c) 2004-2006 eAccelerator, by eAccelerator

Один комментарий к Debian переустановка eAccelerator

Avatar

GiN

27th Март 2012 в 21:25

Отличная статья. Пересобрал акселератор без проблем. Только использовал 0.9.6.1 версию.
Спасибо!

Оставить комментарий или два

Страница 1 из 11

О сайте

Блог о повседневном обслуживании *nix систем, серверов, vps/vds.

  • Андрей: Спасибо! А то периодически теряюсь с ключами к tar :) [...]
  • Vit: А если после этого yum обновит kernel и iptables модуль будет пр [...]
  • Roman: Большое спасибо! все просто и понятно! [...]
  • Proxyr: Спасибо, друг! после установки itk отвалился myadmin. Переус [...]
  • WebSee: Наконец-то нашел решение, всего-то не хватало пакетов *- [...]

Календарег

Октябрь 2012
Пн Вт Ср Чт Пт Сб Вс
« Апр    
1234567
891011121314
15161718192021
22232425262728
293031